using System;
using ZR.Model;
using ZR.Model.Dto;
using ZR.Model.Models;
using System.Collections.Generic;

namespace ZR.Service.Business.IBusinessService
{
    /// <summary>
    /// 基础资料/库区信息表service接口
    ///
    /// @author admin
    /// @date 2023-04-07
    /// </summary>
    public interface IBasRegionService : IBaseService<BasRegion>
    {
        PagedInfo<BasRegionDto> GetList(BasRegionQueryDto parm);

        int AddBasRegion(BasRegion parm);

        int UpdateBasRegion(BasRegion parm);
        
        void TruncateBasRegion();
    }
}
